﻿using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using ReservationProject.Data;
using ReservationProject.Models;

namespace ReservationProject.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class CitiesActions : ControllerBase
    {
        private readonly DataContext _context;

        public CitiesActions(DataContext context)
        {
            _context = context;
        }

        [HttpPost("add-city")]
        public async Task<IActionResult> AddCity(string city)
        {
            
            City newCity = new City() { Id = 0, Name = city };          
            
            _context.Cities.Add(newCity);
            await _context.SaveChangesAsync();

            return Ok("Successful added");
        }

        [HttpGet("print-all-cities")]
        public IActionResult GetCities() { 
        
            List<City> listCities = _context.Cities.ToList();

            return Ok(listCities);        
        }

    }
}
