﻿using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace ReservationProject.Controllers
{
    [Route("api/[controller]/{photoName}")]
    [ApiController]
    public class PhotoActions : ControllerBase
    {
        [HttpPut("upload-photo")]
        public async Task<IActionResult> UploadImage(IFormFile formFile, string photoName)
        {
            using (FileStream stream = System.IO.File.Create(Environment.CurrentDirectory + $"\\Resource\\{photoName}" ))
            {
                await formFile.CopyToAsync(stream);

            }
            return Ok();
        }

        [HttpGet("get-photo")]
        public IActionResult ShowImage(string photoName)
        {
            Response.ContentType = @"image/*"; //png
            var image = System.IO.File.OpenRead(Environment.CurrentDirectory + $"\\Resource\\{photoName}");
            var type = photoName.Substring(photoName.IndexOf('.'));

            switch (type)
            {
                case ".jpg":
                    var result = File(image, "image/jpg");
                    string lol = result.ToString();
                    return File(image, "image/jpg");

                case ".png":
                    return File(image, "image/png");

                case ".jpeg":
                    return File(image, "image/jpeg");

                default:
                    return BadRequest();
            }
        }
    }
}
