﻿using System.ComponentModel.DataAnnotations;
using System.Text.RegularExpressions;

namespace ReservationProject.Models
{
    public partial class City
    {
        [Key]
        public int Id { get; set; }
        [Required, MaxLength(100),
            RegularExpression(@"^[a-zа-яA-ZА-я]+(?:[\\s-][а-яa-zA-ZА-я]+)*$", ErrorMessage = "Characters are not allowed.")]
        public string Name { get; set; } = null!;
        public List<Restaurant> Restaurants { get; set; } = null!;
    }
}
