﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace ReservationProject.Models
{
    public class Restaurant
    {
        [Key]
        public int Id { get; set; }

        [Required, MaxLength(255)]
        public string Name { get; set; } = null!;

        [Required]
        public string Location { get; set; } = null!;


        [Required, Phone]
        public string ContactNumber { get; set; } = null!;

        [Required]
        public string Photo { get; set; } = null!;

        public List<Reservation> Reservations { get; set; } = null!;

        public City City { get; set; } = null!;
    }
}
