﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace ReservationProject.Models;

public partial class User
{
    [Key]
    public int Id { get; set; }
    [Required, StringLength(40), EmailAddress]
    public string Email { get; set; } = null!;
    [StringLength(20)]
    public string Name { get; set; } = null!;
    [StringLength(20)]
    public string Surname { get; set; } = null!;
    [MaxLength(13,ErrorMessage ="Phone must be 13 characters not more"), Phone]
    public string? PhoneNumber { get; set; }
    public string? VerifyCode { get; set; }
    public DateTime? VerifiedAt { get; set; }
    public List<Reservation> Reservations { get; set; } = null!;

}
